/////////////////////////////////////////////
/// MS Replication Project///////////////////
/// Schweitzer and Cachon (2000) Analysis ///
/////////////////////////////////////////////


/// Primary Data - Cornell ///
clear
insheet using "Cornell_SchweitzerCachon.csv"

gen optimal_order = 300 * (price - cost)/price

// Begin Cornell High Profit/Low Cost (cost==3)
preserve
keep if cost==3
collapse (mean) order, by(participantid optimal_order)
su optimal_order 
ttest order=optimal_order // optimal_order = 225
display %15.12e `r(p)'    // exact p-value
restore
// End Cornell High Profit/Low Cost (cost==3)



// Begin Cornell Low Profit/High Cost (cost==9)
preserve
keep if cost==9
collapse (mean) order, by(participantid optimal_order)
su optimal_order 
ttest order=optimal_order // optimal_order = 75
display %15.12e `r(p)'    // exact p-value
restore
// End Cornell Low Profit/High Cost (cost==9)





/// Secondary Data - UT Dallas ///
clear
insheet using "UTD_SchweitzerCachon.csv"

gen optimal_order = 300 * (price - cost)/price

// Begin UTD High Profit/Low Cost (cost==3)
preserve
keep if cost==3
collapse (mean) order, by(participantid optimal_order)
su optimal_order 
ttest order=optimal_order // optimal_order = 225
display %15.12e `r(p)'    // exact p-value
restore
// End UTD High Profit/Low Cost (cost==3)


 
// Begin UTD Low Profit/High Cost (cost==9)
preserve
keep if cost==9
collapse (mean) order, by(participantid optimal_order)
su optimal_order 
ttest order=optimal_order // optimal_order = 75
display %15.12e `r(p)'    // exact p-value
restore
// End UTD Low Profit/High Cost (cost==9)